Groovy 1.7.10

## groovy.sql
[Java] Class SqlWhereVisitor

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport
          groovy.sql.SqlWhereVisitor

    public class SqlWhereVisitor
    extends CodeVisitorSupport

Authors:
  James Strachan

Version:
  \$Revision: 7922 \$

Method Summary
`List` | `getParameters()`
`String` | `getWhere()`
`protected String` | `tokenAsSql(Token token)`
`void` | `visitBinaryExpression(BinaryExpression expression)`
`void` | `visitBooleanExpression(BooleanExpression expression)`
`void` | `visitConstantExpression(ConstantExpression expression)`
`void` | `visitPropertyExpression(PropertyExpression expression)`
`void` | `visitReturnStatement(ReturnStatement statement)`

Methods inherited from class CodeVisitorSupport

visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitRegexExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### getParameters

    public List getParameters()

### getWhere

    public String getWhere()

### tokenAsSql

    protected String tokenAsSql(Token token)

### visitBinaryExpression

    public void visitBinaryExpression(BinaryExpression expression)

### visitBooleanExpression

    public void visitBooleanExpression(BooleanExpression expression)

### visitConstantExpression

    public void visitConstantExpression(ConstantExpression expression)

### visitPropertyExpression

    public void visitPropertyExpression(PropertyExpression expression)

### visitReturnStatement

    public void visitReturnStatement(ReturnStatement statement)

Copyright © 2003-2010 The Codehaus. All rights reserved.